Upstream information

CVE-2008-4359 at MITRE

Description

lighttpd before 1.4.20 compares URIs to patterns in the (1) url.redirect and (2) url.rewrite configuration settings before performing URL decoding, which might allow remote attackers to bypass intended access restrictions, and obtain sensitive information or possibly modify data.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 429764 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • lighttpd-debuginfo >= 1.4.19-6.2
  • lighttpd-debugsource >= 1.4.19-6.2
openSUSE 11.0
  • lighttpd >= 1.4.19-6.2
  • lighttpd-mod_cml >= 1.4.19-6.2
  • lighttpd-mod_magnet >= 1.4.19-6.2
  • lighttpd-mod_mysql_vhost >= 1.4.19-6.2
  • lighttpd-mod_rrdtool >= 1.4.19-6.2
  • lighttpd-mod_trigger_b4_dl >= 1.4.19-6.2
  • lighttpd-mod_webdav >= 1.4.19-6.2